return require('packer').startup(function()

  -- Packer can manage itself as an optional plugin
  use {'wbthomason/packer.nvim', opt = true}

  -- Fuzzy finder
  use {
      'nvim-telescope/telescope.nvim',
      requires = {{'nvim-lua/popup.nvim'}, {'nvim-lua/plenary.nvim'}}
  }

  vim.cmd('source ~/.config/nvim/lua/nvim-tree-config.vim')

  use {
    'kyazdani42/nvim-tree.lua',
    requires = 'kyazdani42/nvim-web-devicons',
    config = function() require'nvim-tree'.setup {
      disable_netrw       = true,
      hijack_netrw        = true,
      open_on_setup       = false,
      ignore_ft_on_setup  = {},
      auto_close          = false,
      open_on_tab         = false,
      hijack_cursor       = false,
      update_cwd          = false,
      update_to_buf_dir   = {
        enable = true,
        auto_open = true,
      },
      diagnostics = {
        enable = false,
        icons = {
          hint = "",
          info = "",
          warning = "",
          error = "",
        }
      },
      update_focused_file = {
        enable      = false,
        update_cwd  = false,
        ignore_list = {}
      },
      system_open = {
        cmd  = nil,
        args = {}
      },
      filters = {
        dotfiles = false,
        custom = {}
      },
      view = {
        width = 30,
        height = 30,
        hide_root_folder = false,
        side = 'left',
        auto_resize = false,
        mappings = {
        custom_only = false,
        list = {}
        }
      }
    } end
  }

  -- LSP and completion
  use { 'neovim/nvim-lspconfig' }
  use { 'nvim-lua/completion-nvim' }

  -- Lua development
  use { 'tjdevries/nlua.nvim' }


  -- Vim dispatch
  use { 'tpope/vim-dispatch' }

  -- Fugitive for Git
  use { 'tpope/vim-fugitive' }

  -- Fugitive for Git
  use { 'ray-x/lsp_signature.nvim' }

  -- Airline status bar
  use { 'vim-airline/vim-airline' }
  use { 'vim-airline/vim-airline-themes' }

  use { 'cespare/vim-toml' }
  use { 'folke/trouble.nvim' }
  use { 'glepnir/lspsaga.nvim' }
  use { 'hrsh7th/nvim-compe' }
  use { 'jacoborus/tender.vim' }
  use { 'RRethy/vim-illuminate' }
  use { 'rust-lang/rust.vim' }
  use { 'scrooloose/nerdtree' }
  use { 'vim-scripts/DrawIt' }

end)
